|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerFormWindowToolInterface Class Reference

    #include <QDesignerFormWindowToolInterface>

Part of the QtDesigner module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QDesignerFormWindowToolInterface ( QObject * parent = 0 )
- virtual ~QDesignerFormWindowToolInterface ()
- virtual QAction * action () const = 0
- virtual void activated () = 0
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual void deactivated () = 0
- virtual QWidget * editor () const = 0
- virtual QDesignerFormWindowInterface * formWindow () const = 0
- virtual bool handleEvent ( QWidget * widget, QWidget * managedWidget, QEvent * event ) = 0
- virtual void loadFromDom ( DomUI *, QWidget * )
- virtual void saveToDom ( DomUI *, QWidget * )

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QDesignerFormWindowToolInterface::QDesignerFormWindowToolInterface ( QObject * parent = 0 )

### QDesignerFormWindowToolInterface::~QDesignerFormWindowToolInterface () `[virtual]`

### QAction * QDesignerFormWindowToolInterface::action () const `[pure virtual]`

### void QDesignerFormWindowToolInterface::activated () `[pure virtual]`

### QDesignerFormEditorInterface * QDesignerFormWindowToolInterface::core () const `[pure virtual]`

### void QDesignerFormWindowToolInterface::deactivated () `[pure virtual]`

### QWidget * QDesignerFormWindowToolInterface::editor () const `[pure virtual]`

### QDesignerFormWindowInterface * QDesignerFormWindowToolInterface::formWindow () const `[pure virtual]`

### bool QDesignerFormWindowToolInterface::handleEvent ( QWidget * widget, QWidget * managedWidget, QEvent * event ) `[pure virtual]`

### void QDesignerFormWindowToolInterface::loadFromDom ( DomUI *, QWidget * ) `[virtual]`

### void QDesignerFormWindowToolInterface::saveToDom ( DomUI *, QWidget * ) `[virtual]`